Last Comment Bug 1243951 - Enable JSON Viewer for all channels
: Enable JSON Viewer for all channels
Status: RESOLVED FIXED
: dev-doc-complete
Product: Firefox
Classification: Client Software
Component: Developer Tools: JSON Viewer (show other bugs)
: Trunk
: All All
P1 normal (vote)
: Firefox 53
Assigned To: J. Ryan Stinnett [:jryans] (use ni?)
:
: Jan Honza Odvarko [:Honza]
Mentors:
: 1251949 (view as bug list)
Depends on: 1216609 1230583 1244910 1244920 1316393 1240494 1240658 1244265 1244268 1244912 1244916 1244919 1245121 1330827
Blocks: 1251949
  Show dependency treegraph
 
Reported: 2016-01-28 17:33 PST by J. Ryan Stinnett [:jryans] (use ni?)
Modified: 2017-02-22 09:35 PST (History)
12 users (show)
clarkbw: sec‑review?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1243951 - Enable JSON Viewer for all channels. (59 bytes, text/x-review-board-request)
2017-01-06 13:48 PST, J. Ryan Stinnett [:jryans] (use ni?)
odvarko: review+
Details | Review

Description User image J. Ryan Stinnett [:jryans] (use ni?) 2016-01-28 17:33:56 PST
We currently only enable JSON Viewer for Dev. Edition.

At the very least, I think we should include Nightly.  But, why not let it ride the trains to release?
Comment 1 User image J. Ryan Stinnett [:jryans] (use ni?) 2016-01-28 17:35:01 PST
:clarkbw / :Honza, any thoughts one way or another?
Comment 2 User image Jan Honza Odvarko [:Honza] 2016-01-28 21:32:39 PST
Yep I like that. We could start with Nightly, wait a big and continue further if there are no complaints.

Honza
Comment 3 User image Bryan Clark (DevTools PM) [:clarkbw] 2016-01-29 01:12:13 PST
Let's do a quick run through of the current bugs filed and assuming none are high priority I don't see a reason to keep it back.
Comment 4 User image Bryan Clark (DevTools PM) [:clarkbw] 2016-01-29 12:09:09 PST
Ok, here's the list of 10 bugs as it currently stands (includes this one as well so 9 really)
https://bugzilla.mozilla.org/buglist.cgi?component=Developer%20Tools%3A%20JSON%20Viewer&product=Firefox&bug_status=__open__&list_id=12824306

I'm going to use this bug as our blocker for what needs to be done to ship in production.
Comment 5 User image Bryan Clark (DevTools PM) [:clarkbw] 2016-02-01 16:17:25 PST
Now there are 19 since I broke down bug 1223143 into smaller pieces.

Here's my initial list:

Required
bug 1240494 - avoid AMD modules
bug 1240658 - JSON.parse error on npm registry
bug 1230583 - fixes a number of visual issues from bug 1223143
bug 1216609 - fix linkable colour
bug 1244265 - save button is broken
bug 1244268 - remove expanders on headers tab
bug 1244910 - fonts need improving
bug 1244912 - hide summary when object is expanded
bug 1244916 - hide count of empty arrays
bug 1244919 - show colon for object attributes
bug 1244920 - show object and array brackets of expanded objects

I really like but probably shouldn't block
bug 1198558 - better broken JSON support

Would be nice
bug 1217131 - filter should show complete objects, not just matches
bug 1244922 - improve search syntax
bug 1244763 - independent zoom level from page
Comment 6 User image Bryan Clark (DevTools PM) [:clarkbw] 2016-02-01 16:27:42 PST
I thought there as a 'linkify URLs' bug already but now I don't see it. :-(
Comment 7 User image Jan Honza Odvarko [:Honza] 2016-02-02 05:52:47 PST
This is great summary Bryan!
I'll be looking at that step by step.

Honza
Comment 8 User image Bryan Clark (DevTools PM) [:clarkbw] 2016-02-02 14:02:04 PST
I'm probably going to block on bug 1245282 as well once we have a chance to try it out.
Comment 9 User image Bryan Clark (DevTools PM) [:clarkbw] 2016-02-02 14:20:27 PST
Metrics

Our questions are these:

# Overall
* How often do people use the JSON Viewer?
-- Understand the value of this tool compared to other tools we develop
-- release (opt-out)

# Performance (set these to expire 6 months after landing)
* How quickly are we rendering the object?
-- Understand if we're hitting large documents which are rendering slowly and need to improve our perf
-- pre-release (opt-in)

* Size of the object/file?
-- Not sure this is correct.  Trying to guess why render could be slow.
-- pre-release (opt-in)

# Features
* JSON
** Save
** Copy
* Raw
** Pretty Print
** Save
** Copy
* Headers
** Copy
* Search
-- Click counts so we can understand the most used features
-- pre-release (opt-in)
Comment 10 User image Bryan Clark (DevTools PM) [:clarkbw] 2016-02-11 11:07:21 PST
Flagging this for security review.  This code has been available on Aurora and recently Nightly but will soon ride the trains to release.  I've heard that the React library has already been reviewed for use by the Hello team.

Brief summary:
This is a viewer which renders JSON documents which are normally rendered as plain text into an HTML tool for browsing and searching the document information.  It should not be triggered by iframes.  You should be able to try out the JSON Viewer by navigating to a JSON document like this: http://live-menu.staugustinesvancouver.com/taps.json in DevEdition or a current Nightly build.
Comment 11 User image J. Ryan Stinnett [:jryans] (use ni?) 2016-02-28 11:34:52 PST
*** Bug 1251949 has been marked as a duplicate of this bug. ***
Comment 12 User image Bryan Clark (DevTools PM) [:clarkbw] 2016-03-11 09:13:36 PST
Flagging dveditz for the sec-review here.  Code is perhaps still in flux right now, want to get this on your radar.
Comment 13 User image Daniel Veditz [:dveditz] 2016-03-11 16:58:18 PST
*** Bug 1251949 has been marked as a duplicate of this bug. ***
Comment 14 User image J. Ryan Stinnett [:jryans] (use ni?) 2017-01-06 13:25:44 PST
What are we still waiting for here?

Can we just ship it? :)
Comment 15 User image Bryan Clark (DevTools PM) [:clarkbw] 2017-01-06 13:35:08 PST
(In reply to J. Ryan Stinnett [:jryans] (use ni?) from comment #14)
> What are we still waiting for here?
> 
> Can we just ship it? :)

r+
Comment 16 User image J. Ryan Stinnett [:jryans] (use ni?) 2017-01-06 13:48:51 PST Comment hidden (mozreview-request)
Comment 17 User image Jan Honza Odvarko [:Honza] 2017-01-07 03:51:09 PST
Comment on attachment 8824561 [details]
Bug 1243951 - Enable JSON Viewer for all channels.

https://reviewboard.mozilla.org/r/103012/#review103632

LGTM

Honza
Comment 18 User image Pulsebot 2017-01-09 09:47:47 PST
Pushed by jryans@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/e5c3a2c6ba77
Enable JSON Viewer for all channels. r=Honza
Comment 19 User image Carsten Book [:Tomcat] 2017-01-10 03:17:12 PST
https://hg.mozilla.org/mozilla-central/rev/e5c3a2c6ba77

Note You need to log in before you can comment on or make changes to this bug.